Skip to navigation

Get a reservation

One reservation, addressed by its id and the party that owns it.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

booking_idstringRequired1-36 characters
OCPI id of the reservation.

Query parameters

country_codestringRequiredformat: "^[A-Za-z]{2}$"=2 characters
OCPI country code of the party that owns the row, e.g. NL.
party_idstringRequiredformat: "^[A-Za-z]{3}$"=3 characters
OCPI party id of the party that owns the row, e.g. OCP.

Response

The reservation.
idinteger
booking_idstring
request_idstring
location_idstring
periodobject
When the reservation may be used.
reservation_statusenum or any
authorization_referencestring
booking_termsobject
Terms accepted for the reservation.
booking_requestslist of objects
last_updateddatetime
roleenum or any
originenum or any
organization_idstring
country_codestring
party_idstring
ocpi_versionenum or any
created_atdatetime
updated_atdatetime
booking_optionmap from strings to any or nullOptional
booking_tokenslist of objects or nullOptional
tariff_idslist of strings or nullOptional
canceledmap from strings to any or nullOptional
access_informationlist of objects or nullOptional
deleted_atdatetime or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error